import { doFetch } from "@/utils/doFetch";

function getcolumns(setdrawer) {
  return [
    {
      tab: "未完成",
      key: "1",
      columns: [
        {
          title: "调拨单号",
          dataIndex: "transferNo",
          key: "transferNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmTransferOrder/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.transferNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "调拨单号",
                          dataIndex: "transferNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "documentTypeName",
                        },
                        {
                          title: "来源仓库",
                          dataIndex: "sourceStoreName",
                        },
                        {
                          title: "目标仓库",
                          dataIndex: "targetStoreName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.transferNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "documentTypeName",
          key: "documentTypeName",
          hideInSearch:true,
        },
        {
          title: "来源仓库",
          dataIndex: "sourceStoreName",
          key: "sourceStoreName",
          fieldProps: {
            placeholder: "请选择",
          },
          hideInSearch:true,
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "目标仓库",
          dataIndex: "targetStoreName",
          key: "targetStoreName",
          fieldProps: {
            placeholder: "请选择",
          },
          hideInSearch:true,
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmTransferOrder/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApply/queryById",
      },
    },
    {
      tab: "已完成",
      key: "2",
      columns:  [
        {
          title: "调拨单号",
          dataIndex: "transferNo",
          key: "transferNo",
          formItemProps: {
            rules: [{ required: true, message: "此项为必填项" }],
          },
          render: (_, row) => {
            return (
              <a
                className="table-cell"
                onClick={async () => {
                  const detailData = await doFetch({
                    url: "/ta_wms_workmanship/pmTransferOrderHis/queryById",
                    params: { id: row?.id },
                  });
                  setdrawer((s) => {
                    return {
                      ...s,
                      open: true,
                      title: `${row.transferNo}详情`,
                      val: "detailaddon",
                      detailData: detailData?.data?.data ?? {},
                      fields: [
                        { title: "基本信息", valueType: "split" },
                        {
                          title: "调拨单号",
                          dataIndex: "transferNo",
                        },
                        {
                          title: "单据类型",
                          dataIndex: "documentTypeName",
                        },
                        {
                          title: "来源仓库",
                          dataIndex: "sourceStoreName",
                        },
                        {
                          title: "目标仓库",
                          dataIndex: "targetStoreName",
                        },
                        {
                          title: "工单状态",
                          dataIndex: "statusName",
                        },
                        {
                          title: "备注",
                          dataIndex: "remarks",
                        },
                        {
                          title: "创建人",
                          dataIndex: "createUserName",
                        },
                        {
                          title: "创建时间",
                          dataIndex: "createTime",
                        },
                        {
                          title: "完成时间",
                          dataIndex: "finishTime",
                        },
                      ],
                      item: row,
                    };
                  });
                }}
              >
                {row.transferNo}
              </a>
            );
          },
        },
        {
          title: "单据类型",
          dataIndex: "documentTypeName",
          key: "documentTypeName",
          hideInSearch:true,
        },
        {
          title: "来源仓库",
          dataIndex: "sourceStoreName",
          key: "sourceStoreName",
          fieldProps: {
            placeholder: "请选择",
          },
          hideInSearch:true,
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "目标仓库",
          dataIndex: "targetStoreName",
          key: "targetStoreName",
          fieldProps: {
            placeholder: "请选择",
          },
          hideInSearch:true,
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
        },
        {
          title: "备注",
          dataIndex: "remarks",
          hideInSearch: true,
          key: "remarks",
          formItemProps: {
            rules: [
              {
                required: true,
                message: "此项为必填项",
              },
            ],
          },
          span: 3,
        },
        {
          title: "创建人",
          dataIndex: "createUserName",
          key: "createUserName",
          hideInSearch: true,
        },
        {
          title: "创建时间",
          dataIndex: "createTime",
          key: "createTime",
          hideInSearch: true,
        },
        {
          title: "完成时间",
          dataIndex: "finishTime",
          key: "finishTimeList",
          valueType: 'dateRange',
        },
        {
          title: "状态",
          dataIndex: "statusName",
          key: "statusName",
          hideInSearch: true,
        },
      ],
      pathconfig: {
        enableadd: true,
        add: "/pengli-quality/iqcTask/save",
        edit: "/pengli-quality/iqcTask/save",
        list: "/ta_wms_workmanship/pmTransferOrderHis/queryList",
        detail: "/ta_wms_workmanship/pmMaterialApplyHis/queryById",
      },
    },
  ];
}

export default getcolumns;
